# $Revision: 1.25 $, $Date: 2012/01/14 00:42:38 $
#
# Conditional build
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DSA
Summary:	Crypt::DSA Perl module - DSA signature and key generation
Summary(pl.UTF-8):	Moduł Perla Crypt::DSA - generujący sygnatury i klucze DSA
Name:		perl-Crypt-DSA
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0a64dcd77e796ebacad4c6af2df74b57
URL:		http://search.cpan.org/dist/Crypt-DSA/
%if %{with tests}
BuildRequires:	perl-Data-Buffer >= 0.01
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-File-Which >= 0.05
BuildRequires:	perl-Math-BigInt >= 1.78
BuildRequires:	perl-Math-BigInt-GMP
%endif
BuildRequires:	perl-Convert-PEM >= 0.07
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-File-Which >= 0.05
Requires:	perl-Math-BigInt >= 1.78
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq 'perl(Convert::PEM)' 'perl(Data::Buffer)'

%description
Crypt::DSA is an implementation of the DSA (Digital Signature
Algorithm) signature verification system. The implementation itself is
pure Perl, although the heavy-duty mathematics underneath are provided
by the Math::Pari library. This package provides DSA signing,
signature verification, and key generation. It additionally requires
Convert::PEM >= 0.04 module to read/write PEM-encoded files and
Data::Buffer >= 0.01 module to read/write SSH2 keyfiles.

%description -l pl.UTF-8
Crypt::DSA jest implementacją systemu weryfikacji sygnatur DSA
(Digital Signature Alghorithm). Sama implementacja jest w czystym
Perlu, ale do ciężkiej matematyki korzysta z biblioteki Math::Pari.
Pakiet umożliwia podpisywanie i weryfikację sygnatur DSA oraz
generowanie kluczy. Moduł ten wymaga dodatkowo modułu Convert::PEM w
wersji >= 0.04 do czytania i zapisywania plików zakodowanych PEM oraz
modułu Data::Buffer w wersji >= 0.01 do czytania i zapisywania plików
z kluczami SSH2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/DSA.pm
%{perl_vendorlib}/Crypt/DSA
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-DSA.spec,v $
Revision 1.25  2012/01/14 00:42:38  zbyniu
- up to 1.17

Revision 1.24  2009/11/03 08:05:21  baggins
- up to 1.16
- updated R/BR

Revision 1.23  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.21  2006/07/26 23:00:39  glen
- 0.14, generic URL

Revision 1.20  2006/02/11 00:28:03  glen
- perl-Convert-PEM is needed without tests
- adapterized

Revision 1.19  2005/06/21 19:33:51  czucz
- added BR: perl-Data-Buffer >= 0.01

Revision 1.18  2005/06/21 18:56:44  czucz
- fixed last changelog entry

Revision 1.17  2005/06/21 17:51:21  czucz
- updated to 0.13
- added BR:perl-Convert-PEM

Revision 1.16  2004/11/03 22:30:12  paladine
- formatting

Revision 1.15  2004/08/08 20:46:20  adamg
- release 4

Revision 1.14  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.12  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/20 09:55:37  ankry
- new bconds

Revision 1.10  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.9  2003/10/29 19:15:23  migo
- add tests bcond
- bconded BRs

Revision 1.8  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:48  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/29 19:56:55  qboosh
- new
